extern int DEBUG;
extern char *CurrentFile;

extern int InteractiveMode;
extern int DoCutout;
extern int ForceProcess;
extern int newWidth;
extern int newHeight;
extern int White;
extern int AllowOverwrite;
extern int HistoProtect;
extern int HistoStretch;
extern int InputHistoStretch;
extern int doInvertImage;
extern int UpScale;
extern int UpScale_Smoothing;
extern int UpScale_Smoothing_When;
extern int DownScale;
extern int ThreshHold;
extern int MinPixels;
extern int WantDebayer;
extern int InputFilter;
extern double InputFilter_ThreshHold;
extern double Gamma;
extern int ChangeGamma;
extern int CutX;
extern int CutY;
extern double BayerBoost;
extern int NoSave;
extern char *OutDir;
extern int WriteEmptyFiles;
extern int Quiet;
extern char *StackFile;
extern char *MergeFile;
extern int StackMax;
extern int StackCount;
extern double MergeThreshHold;
extern int forceWriteEmptyFiles;
extern int HNoiseFilter;
extern int SubDirs;

extern int Sub_x;
extern int Sub_y;
extern int cur_Sub_x;
extern int cur_Sub_y;

extern int StreamFilter;
extern int StreamFilter_History;

extern int PopFilter;
extern int PopFilter_When;

extern int QWriteIntermediateFiles;
extern int QEstimator;
extern int QRenumberFiles;
extern int QSUBSAMPLE_MIN;
extern int QSUBSAMPLE_MAX;
extern int QualityFunction;
extern int QHISTO_MIN;
extern int QHISTO_MAX;
extern char * QHISTO_FILE;

extern int Morphing;
extern char *Morph_Ref;
extern int Morph_Across;
extern int Morph_Down;
extern int Morph_Iterations;
extern int Morph_Drift;
extern int Morph_Debug;

extern int OutputFileType;
extern int OutputFileDepth;

extern int do_Rotate;
extern double RotateAngle;
extern int RotateCutoff;

extern int ApplyGainComp;
extern char *GainCompReference;

extern int SubsampleMode;
extern int Subsample_pixel_width;      // width of simulated pixel
extern int Subsample_pixel_height;     // height of simulated pixel
extern int Subsample_xpixels;          // number of horizontal pixels
extern int Subsample_ypixels;          // number of vertical pixels
extern int Subsample_nframes;          // number of simulated frames to generate
extern int Subsample_upscale;          //
extern int Subsample_smooth;           //
extern double Subsample_min_offset;    // (min,max) control the offset location
extern double Subsample_max_offset;
extern int Subsample_noise;           // in percent
extern int Subsample_scan;            // in percent
extern char *Subsample_prefix;

extern int DoFFT;

extern int DetectBrokenFrames;
extern int DBF_EDGE_COUNT;
extern int DBF_TYPE;
extern int DBF_DIFF;

extern int DetectHotPixels;

extern int doLevelsAdjust;
extern int LevelsMin;
extern int LevelsMax;

extern char *DarkFrame;
extern double DarkFrame_Scale;

extern int EnableSubRegion;
extern int SR_X1, SR_X2, SR_Y1, SR_Y2;
